# GetFileUrlOptions | Stacks.js 1.4.1 Library Reference
Documentation for Stacks.js 1.4.1 Library Reference

### Hierarchy

- GetFileUrlOptions
  - GetFileOptions

## Index

### Properties

- app
- username
- zoneFileLookupURL

## Properties

### Optional app

app: string

- Defined in packages/storage/src/storage.ts:93

The app to lookup for multi-player storage - defaults to current origin.

default

  `window.location.origin` Only if available in the executing environment, otherwise `undefined`.

### Optional username

username: string

- Defined in packages/storage/src/storage.ts:87

The Blockstack ID to lookup for multi-player storage. If not specified, the currently signed in username is used.

### Optional zoneFileLookupURL

zoneFileLookupURL: string

- Defined in packages/storage/src/storage.ts:98

The URL to use for zonefile lookup. If falsey, this will use the blockstack.js's getNameInfo function instead.

Generated using TypeDoc